
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>
#include <assert.h>
#include <errno.h>
#include <locale.h>
#include <dirent.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/vfs.h>
#include <sys/statvfs.h>
#include <unistd.h>


static struct option const long_options[] = {
 	{"all", no_argument, NULL, 'a'},
 	{"block-size", required_argument, NULL, 'B'},
 	{"inodes", no_argument, NULL, 'i'},
 	{"human-readable", no_argument, NULL, 'h'},
 	{"si", no_argument, NULL, 'H'},
 	{"kilobytes", no_argument, NULL, 'k'},
 	{"local", no_argument, NULL, 'l'},
 	{"megabytes", no_argument, NULL, 'm'},
 	{"portability", no_argument, NULL, 'P'},
 	{"print-type", no_argument, NULL, 'T'}, 
 	{"type", required_argument, NULL, 't'},
 	{"exclude-type", required_argument, NULL, 'x'},
 	{NULL, 0, NULL, 0}
};

int main(int argc, char *argv[])
{
	setlocale (LC_ALL, "");
	int opt;
	int r;
	
	struct statvfs df2;

	
/* Заготовка под опции */
while ((opt = getopt_long (argc, argv, "aB:iF:hHklmPTt:vx:", long_options, NULL)) != -1) {
	switch (opt) {
	case 0:			
		break;

	case 'a':
		break;

	case 'B':
		break;

	case 'i':
		break;

	case 'h':
		break;

	case 'H':
		break;

	case 'k':
		break;

	case 'l':
		break;

	case 'm': 
		break;

	case 'T':
		break;

	case 'P':
		break;

	case 'F':
		break;

	case 't':
		break;

	case 'v':
		break;

	case 'x':
		break;

	default:
		break;
	}
    }


	if (argc = 2) {
		if ((r = statvfs(argv[1], &df2)) == -1) {
			printf("Error");
		} else {
			printf("свободные блоки = %d\n",df2.f_bavail);
			printf("свободные I-nodes = %d\n",df2.f_favail);
			printf("число I-nodes = %d\n",df2.f_files);
			printf("доступно обычному пользователю байт  %d\n",df2.f_frsize * df2.f_bavail);
			printf("id файловой системы %d\n",df2.f_fsid);
		}
	}



	return EXIT_SUCCESS;
}
